### Function

# FwupdPlugin ContextLookupIter

#### Declaration

    void
    (* FuContextLookupIter) (
      FuContext* self,
      const gchar* key,
      const gchar* value,
      FuContextQuirkSource source,
      gpointer user_data
    )

#### Description [src]

The context lookup iteration callback.

#### Parameters

`self` | `FuContext`
| A `FuContext`.
| The data is owned by the caller of the function.
`key` | `const gchar*`
| A key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| A value.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`source` | `FuContextQuirkSource`
| A `FuContextQuirkSource`, e.g. `FU_CONTEXT_QUIRK_SOURCE_DB`.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.